## australis start sla-drain count

Place a list of space separated Mesos Agents into maintenance mode using the count SLA aware policy as a fallback.

### Synopsis

Adds a Mesos Agent to Aurora's Drain list. Tasks will be drained using the count SLA policy as a fallback
when a Job does not have a defined SLA policy.

```
australis start sla-drain count [space separated host list] [flags]
```

### Options

```
      --count int            Instances count that should be running to meet SLA. (default 5)
      --duration RUNNING     Minimum time duration a task needs to be RUNNING to be treated as active. (default 45s)
  -h, --help                 help for count
      --interval duration    Interval at which to poll scheduler. (default 10s)
      --sla-limit duration   Time limit after which SLA-Aware drain sheds SLA Awareness. (default 1h0m0s)
      --timeout duration     Time after which the monitor will stop polling and throw an error. (default 20m0s)
```

### Options inherited from parent commands

```
  -a, --caCertsPath string      Path where CA certificates can be found.
  -c, --clientCert string       Client certificate to use to connect to Aurora.
  -k, --clientKey string        Client key to use to connect to Aurora.
      --config string           Config file to use. (default "/etc/aurora/australis.yml")
  -l, --logLevel string         Set logging level [panic fatal error warning info debug trace]. (default "info")
  -p, --password string         Password to use for API authentication
  -s, --scheduler_addr string   Aurora Scheduler's address.
  -i, --skipCertVerification    Skip CA certificate hostname verification.
      --toJSON                  Print output in JSON format.
  -u, --username string         Username to use for API authentication
  -z, --zookeeper string        Zookeeper node(s) where Aurora stores information. (comma separated list)
```

### SEE ALSO

* [australis start sla-drain](australis_start_sla-drain.md)	 - Place a list of space separated Mesos Agents into maintenance mode using SLA aware strategies.

###### Auto generated by spf13/cobra on 22-Mar-2019
